Subject: Re: bug#13078: [PATCH] configure.ac: Cygwin build breaks when path to pkg-tool contains spaces

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Dec 2012 00:01:30 -0500

>>>> -     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
>>>> +     if "$PKG_CONFIG" --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
>> I'd expect $PKG_CONFIG_MIN_VERSION to need quoting as well.
> It's a variable that we define ourselves rather than something we get
> from the environment, and we know it doesn't contain spaces.

I tend to just put "..." everywhere except in those rare cases where
I know I want the expansion to be split at spaces.

This way I don't need to worry about whether or not this is fully under
my control and whether I'm really sure it won't ever have a space in it.

Served me well so far,

        Stefan